게시물

스레드 조회

GET /v1/tweets/{tweet_id}/thread reads 2 크레딧

게시물을 포함하는 작성자 자신의 스레드: 대화의 첫 게시물부터 작성자의 연속된 답글까지 이어지는 자기 답글 체인이며, 지정한 게시물이 첫 번째든 중간이든 마지막이든 상관없습니다. 같은 대화에서 작성자가 다른 사람의 댓글에 단 답글은 포함되지 않습니다.

응답

게시물 id와 id 순(오래된 순)으로 정렬된 스레드의 게시물. 스레드에 속하지 않는 게시물은 단독으로 반환됩니다. 알 수 없는 게시물은 404입니다.

상태: 200, 404, 422, 429, 502

요청
curl https://api.xsignalfeed.com/v1/tweets/2100389563898495436/thread \
  -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 404
{
  "tweet_id": "2100389563898495436",
  "tweets": [
    {
      "id": 2100389274051043375,
      "created_ms": 1789606800936,
      "user_id": 1126749496082223104,
      "user": "HYBE_MERCH",
      "name": "HYBE MERCH",
      "text": "BTS (방탄소년단) WORLD TOUR ‘ARIRANG’ Official Merch. 2nd Drop (1/4)…",
      "lang": "ko",
      "reply_to": null,
      "reply_to_status_id": null,
      "reply_to_user_id": null,
      "conversation_id": "2100389274051043375",
      "is_rt": false,
      "rt_of": null,
      "is_quote": false,
      "quoted": null,
      "media": [
        "https://pbs.twimg.com/media/…"
      ],
      "media_items": [
        {
          "type": "photo",
          "url": "https://pbs.twimg.com/media/…",
          "expanded_url": "https://x.com/HYBE_MERCH/status/2100389274051043375/photo/1",
          "width": 1080,
          "height": 1350
        }
      ],
      "urls": [],
      "views": "18211",
      "counts": {
        "reply": 3,
        "rt": 210,
        "like": 640,
        "quote": 2,
        "bookmark": 44
      },
      "source": "<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>"
    },
    {
      "id": 2100389556948509007,
      "reply_to_status_id": "2100389274051043375",
      "conversation_id": "2100389274051043375",
      "…": "…"
    },
    {
      "id": 2100389560379462133,
      "reply_to_status_id": "2100389556948509007",
      "…": "…"
    },
    {
      "id": 2100389563898495436,
      "reply_to_status_id": "2100389560379462133",
      "…": "…"
    }
  ]
}